> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询注册状态

> 查询咏唱引擎 ROUTER 是否允许自助注册，是否还处于首次初始化（setup）状态。

初始化向导用这个接口判断两件事：实例是否还没有本地用户（需要 setup），以及当前是否开放自助注册。

## 接口

```http theme={null}
GET /v1/router/auth/register-status
```

## 认证

无需认证。

## 响应

<ResponseField name="allow_register" type="boolean">
  是否允许自助注册（需同时满足「开放注册」开关已开启且已有本地用户）。
</ResponseField>

<ResponseField name="needs_setup" type="boolean">
  是否还没有本地用户，需要先做初始化 setup。
</ResponseField>

## 示例

```bash theme={null}
curl -s https://router.example.com/v1/router/auth/register-status
```

```json theme={null}
{ "allow_register": false, "needs_setup": true }
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.